Bug 138733 - Can't blank CD-RW
Can't blank CD-RW
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-10 16:49 EST by Sven Neuhaus
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 09:58:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sven Neuhaus 2004-11-10 16:49:58 EST
I try to blank a CD-RW:

# cdrecord -v blank=fast
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in
this version.
TOC Type: 1 = CD-ROM
scsidev: '/dev/cdrom'
devname: '/dev/cdrom'
scsibus: -2 target: -2 lun: -2
Error trying to open /dev/cdrom exclusively ... retrying in 1 second.
Error trying to open /dev/cdrom exclusively ... retrying in 1 second.
Error trying to open /dev/cdrom exclusively ... retrying in 1 second.
Error trying to open /dev/cdrom exclusively ... retrying in 1 second.
Error trying to open /dev/cdrom exclusively ... retrying in 1 second.
Error trying to open /dev/cdrom exclusively ... retrying in 1 second.
Error trying to open /dev/cdrom exclusively ... retrying in 1 second.
Error trying to open /dev/cdrom exclusively ... retrying in 1 second.
Error trying to open /dev/cdrom exclusively ... retrying in 1 second.
Error trying to open /dev/cdrom exclusively ... retrying in 1 second.
cdrecord: Device or resource busy. Cannot open '/dev/cdrom'. Cannot
open SCSI driver.
cdrecord: For possible targets try 'cdrecord -scanbus'.
cdrecord: For possible transport specifiers try 'cdrecord dev=help'.

# ls -lL /dev/cdrom
brw-rw----  1 root disk 22, 0 10. Nov 21:37 /dev/cdrom

# ls -l /usr/bin/cdrecord
-rws--x---  1 root users 323936 18. Okt 15:56 /usr/bin/cdrecord

# cdrecord -scanbus
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in
this version.
Linux sg driver version: 3.5.27
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c   1.83
04/05/20 Copyright 1997 J. Schilling').
scsibus0:
        0,0,0     0) '؁T@ߥ9@' 'xc�>���2����' '�H� Removable vendor
specific 4 WORM
        0,1,0     1) *
        0,2,0     2) *
        0,3,0     3) *
        0,4,0     4) *
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *

# cdrecord dev=help
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
Note: The author of cdrecord should not be bothered with problems in
this version.
Supported SCSI transports for this platform:

Transport name:         sg
Transport descr.:       Generic transport independent SCSI
Transp. layer ind.:
Target specifier:       bus,target,lun
Target example:         1,2,0
SCSI Bus scanning:      supported
Open via UNIX device:   not supported

Transport name:         pg
Transport descr.:       SCSI transport for ATAPI over Parallel Port
Transp. layer ind.:
Target specifier:       bus,target,lun
Target example:         1,2,0
SCSI Bus scanning:      supported
Open via UNIX device:   not supported

Transport name:         ATA
Transport descr.:       ATA Packet specific SCSI transport
Transp. layer ind.:     ATAPI:
Target specifier:       bus,target,lun
Target example:         ATAPI:1,2,0
SCSI Bus scanning:      supported
Open via UNIX device:   not supported

Transport name:         ATA
Transport descr.:       ATA Packet specific SCSI transport using sg
interface
Transp. layer ind.:     ATA:
Target specifier:       bus,target,lun
Target example:         1,2,0
SCSI Bus scanning:      supported
Open via UNIX device:   not supported

Transport name:         RSCSI
Transport descr.:       Remote SCSI
Transp. layer ind.:     REMOTE:
Target specifier:       rscsi@host:bus,target,lun
Target example:         REMOTE:rscsi@host:1,2,0
SCSI Bus scanning:      supported
Open via UNIX device:   not supported


The PC has a NEC IDE DVD burner (1100A).

cdrecord RPM version is 2.01.1-5
kernel RPM version is 2.6.9-1.667

It worked in Fedora Core 2 with Kernel 2.6.7.x
Comment 1 Sven Neuhaus 2004-11-10 16:51:34 EST
OK, I noticed the CD showed up on the desktop.
I tried to eject it and got an error message that was cut off.
The icon disappeared from the desktop.

I can blank the CD-RW now!
Comment 2 Sven Neuhaus 2004-11-10 16:55:49 EST
OK, i noticed that k3b no longer shows the DVD burner device after I
changed the owner of /dev/hdc (which /dev/cdrom points to) to
root.disk so I changed them back to my user.
k3b shows the DVD burner again. However, burning fails (no clear error
message, sorry!)

Starting k3b as root lets me burn CDs.
Comment 3 Teppo Turtiainen 2004-11-21 08:38:04 EST
I have the same problem but it works if I don't close the cd tray
before issuing the command and I let cdrecord close it. I have a NEC
ND3500 drive.
Comment 4 Sitsofe Wheeler 2004-12-02 05:35:15 EST
The issue mentioned in comment #0 is because the cd had been mounted (probably
by hald). Doing umount /dev/hdc before using cdrecord will probably help (or use
a GUI tool like k3b that quitely tries to unmount discs before blanking them).

It's hard to say whether this is really a bug...
Comment 5 Harald Hoyer 2004-12-07 12:00:14 EST
for the permissions try to update udev

There is also a kernel bug for scsi cdrom devices:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=134822
Comment 6 Harald Hoyer 2005-09-16 09:58:23 EDT
CANTFIX without more information, closed due to inactivity.
Comment 7 Sven Neuhaus 2005-09-16 10:14:03 EDT
I haven't had any problems in the last few months (with FC4).

Note You need to log in before you can comment on or make changes to this bug.